Ticket #42301

Ruleset sanity checking does not exit obsolete_by loop

Open Date: 2021-05-17 07:10 Last Update: 2021-06-08 20:10

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

rssanity.c has a sanity check against unit obsolete_by loop. That check itself ends to infinite loop when it does detect a loop - it does not exit the loop.

Ticket History (3/4 Histories)

2021-05-17 07:10 Updated by: cazfi
  • New Ticket "Ruleset sanity checking does not exit obsolete_by loop" created
2021-05-22 07:27 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.5 (closed)
2021-06-08 20:10 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login